package com.qqchen.deploy.backend.framework.converter;

import org.mapstruct.Qualifier;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.List;

/**
 * 枚举列表转换器
 */
public class EnumListConverter {

    @Qualifier
    @Target(ElementType.METHOD)
    @Retention(RetentionPolicy.CLASS)
    public @interface EnumMapping {
    }

    @EnumMapping
    public <T extends Enum<T>> List<T> mapEnumList(List<T> value) {
        return value;
    }

    @EnumMapping
    public <T extends Enum<T>> T mapEnum(T value) {
        return value;
    }
} 